<ul class="alert alert-danger" *ngIf="errores?.length>0">
  <div>
    <li *ngFor="let err of errores">
      {{err}}
    </li>
  </div>
</ul>

<div class="card body">
  <div class="card-header">
    <h1 class="text-center">{{titulo}}</h1>
  </div>
  <div class="card-body">
    <h5 class="card-title">Ingrese los siguientes datos</h5>

    <form class="text-black" #administradorForm="ngForm">

      <div class="form-floating mb-3">
        <input minlength="9" maxlength="10" pattern="^[0-9]+-[0-9k]" type="text" class="form-control"
          [(ngModel)]="administrador.rut" name="rut" #rut="ngModel" required>
        <div class="alert alert-danger " *ngIf="rut.value && rut.invalid && (rut.dirty || rut.touched)">
          <div *ngIf="rut.errors.pattern || rut.errors.minlength || rut.errors.maxlength">
            Ingrese un rut valido (sin puntos, con guión)
          </div>

        </div>
        <label for="floatingInput">RUT (ej: 98765432-1)</label>
      </div>

      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="administrador.nombre" name="nombre" #nombre="ngModel"
          required>
        <label for="floatingInput">Nombre</label>
      </div>

      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="administrador.apellidoPaterno" name="apellidoP"
          #apellidoP="ngModel" required>
        <label for="floatingInput">Apellido Paterno</label>
      </div>

      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="administrador.apellidoMaterno" name="apellidoM"
          #apellidoM="ngModel" required>
        <!--required-->
        <label for="floatingInput">Apellido Materno</label>
      </div>

      <div class="form-floating mb-3">
        <input type="date" class="form-control" [(ngModel)]="administrador.fechaNacimiento" name="fechaNacimiento"
          #fNac="ngModel" required>
        <label for="floatingInput">Fecha Nacimiento</label>
      </div>

      <div class="form-floating mb-3">
        <input type="email" class="form-control" [(ngModel)]="administrador.correo" name="correo" required email
          #email="ngModel">
        <div class="alert alert-danger" *ngIf="email.invalid && (email.dirty || email.touched) && email.errors.email">
          Ingrese un correo valido
        </div>
        <label for="floatingInput">Email </label>
      </div>

      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="administrador.telefono" name="telefono" minlength="9"
          maxlength="9" pattern="^[0-9]+" #fono="ngModel" required>
        <div class="alert alert-danger" *ngIf="fono.value && fono.invalid && (fono.dirty || fono.touched)">
          <div *ngIf="fono.errors.pattern">
            El numero de telefono solo debe contener numeros [0-9]
          </div>
          <div *ngIf="fono.errors.minlength || fono.errors.maxlength">
            El numero de telefono debe componerse de 9 digitos
          </div>
        </div>
        <label for="floatingInput">telefono</label>
      </div>

      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="administrador.direccion" name="direccion"
          #direccion="ngModel">
        <label for="floatingInput">direccion</label>
      </div>

      <div class="form-floating mb-3">
        <input type="text" class="form-control" [(ngModel)]="administrador.sueldo" name="sueldo" pattern="^[0-9]+"
          #sueldo="ngModel">
        <div class="alert alert-danger" *ngIf="sueldo.invalid && (sueldo.dirty || sueldo.touched)">
          <div *ngIf="sueldo.errors.pattern">
            El sueldo del administrador debe ser un monto numerico
          </div>
        </div>
        <label for="floatingInput">sueldo</label>
      </div>

      <div>

        <button class="btn btn-primary" role="button" (click)='create()' *ngIf='!administrador.id else elseBlock'
          [disabled]='!administradorForm.form.valid'>Crear</button>
        <ng-template #elseBlock>
          <button class="btn btn-primary" role="button" (click)='update()'
            [disabled]='!administradorForm.form.valid'>Actualizar</button>
        </ng-template>

      </div>
    </form>
  </div>
</div>